package com.nisum.paymentvendorsimulator.creditcard.domain.dto;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class CreditCardAmount {

  @Pattern(regexp = "\\d+\\.\\d{2}", message="Amount value must be at dollar and cents value separated by '.'")
  String value;

  @NotBlank(message = "Amount currency cannot be left blank")
  String currency;

}
