package com.nisum.paymentvendorsimulator.creditcard.domain.dto;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class CreditCardData {

  @Pattern(regexp = "\\d{16}", message = "Credit card number must be 16 digits")
  String number;

  @Pattern(regexp = "\\d{2}", message = "Credit card expiry month must be 2 digits")
  String expiryMonth;

  @Pattern(regexp = "\\d{4}", message = "Credit card expiry year must be 4 digits")
  String expiryYear;

  @Pattern(regexp = "\\d{3}", message = "Credit card cvc must be 3 digits")
  String cvc;

  @NotBlank(message = "Credit card holderName cannot be left blank")
  String holderName;

}
