package com.nisum.paymentvendorsimulator.creditcard.domain.dto;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class CreditCardRequest {

  @Valid
  CreditCardData card;

  @Valid
  CreditCardAmount amount;

  @NotBlank(message="reference can't be blank")
  String reference;

  @NotBlank(message="merchantAccount can't be blank")
  String merchantAccount;

  @Valid
  CreditCardAddress billingAddress;

  @Override
  public String toString() {
    return "CreditCardRequest{" +
            "card=" + card +
            ", amount=" + amount +
            ", reference='" + reference + '\'' +
            ", merchantAccount='" + merchantAccount + '\'' +
            '}';
  }
}
